# モニターチェックを取得 (/ja/api-reference/endpoint/monitor-check-get)

<!-- agent-signals: reading_time_min: 3 · est_tokens: 3221 · updated: 2026-07-30 -->
Related: [検索](/ja/api-reference/endpoint/search.md), [検索フィードバック](/ja/api-reference/endpoint/search-feedback.md), [スクレイプ](/ja/api-reference/endpoint/scrape.md), [バッチスクレープ](/ja/api-reference/endpoint/batch-scrape.md), [バッチスクレイプのステータス取得](/ja/api-reference/endpoint/batch-scrape-get.md), [バッチスクレイプのキャンセル](/ja/api-reference/endpoint/batch-scrape-delete.md)



`GET /monitor/{monitorId}/checks/{checkId}`

モニターチェックを取得

## OpenAPI

```json
{
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "parameters": [
    {
      "description": "モニターID",
      "in": "path",
      "name": "monitorId",
      "required": true,
      "schema": {
        "format": "uuid",
        "type": "string"
      }
    },
    {
      "description": "モニターチェックID",
      "in": "path",
      "name": "checkId",
      "required": true,
      "schema": {
        "format": "uuid",
        "type": "string"
      }
    },
    {
      "in": "query",
      "name": "limit",
      "schema": {
        "default": 25,
        "maximum": 100,
        "minimum": 1,
        "type": "integer"
      }
    },
    {
      "description": "スキップするページ結果数。Paginationには前回のレスポンスの `next` URL を使用してください。",
      "in": "query",
      "name": "skip",
      "schema": {
        "default": 0,
        "minimum": 0,
        "type": "integer"
      }
    },
    {
      "in": "query",
      "name": "status",
      "schema": {
        "enum": [
          "same",
          "new",
          "changed",
          "removed",
          "error"
        ],
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "data": {
                "allOf": [
                  {
                    "properties": {
                      "actualCredits": {
                        "description": "スクレイピング、クロール、および変更ページに対する判定呼び出しがすべて完了した後、このチェックに課金される最終的なクレジット数。",
                        "nullable": true,
                        "type": "integer"
                      },
                      "billingStatus": {
                        "type": "string"
                      },
                      "createdAt": {
                        "format": "date-time",
                        "type": "string"
                      },
                      "error": {
                        "nullable": true,
                        "type": "string"
                      },
                      "estimatedCredits": {
                        "description": "Firecrawl が変更されたページ数と、判定が必要なページ数を把握する前に、このチェックのために予約されるクレジットの上限。",
                        "nullable": true,
                        "type": "integer"
                      },
                      "finishedAt": {
                        "format": "date-time",
                        "nullable": true,
                        "type": "string"
                      },
                      "id": {
                        "format": "uuid",
                        "type": "string"
                      },
                      "monitorId": {
                        "format": "uuid",
                        "type": "string"
                      },
                      "notificationStatus": {
                        "nullable": true,
                        "type": "object"
                      },
                      "reservedCredits": {
                        "nullable": true,
                        "type": "integer"
                      },
                      "scheduledFor": {
                        "format": "date-time",
                        "nullable": true,
                        "type": "string"
                      },
                      "startedAt": {
                        "format": "date-time",
                        "nullable": true,
                        "type": "string"
                      },
                      "status": {
                        "enum": [
                          "queued",
                          "running",
                          "completed",
                          "failed",
                          "partial",
                          "skipped_overlap"
                        ],
                        "type": "string"
                      },
                      "summary": {
                        "properties": {
                          "changed": {
                            "type": "integer"
                          },
                          "error": {
                            "type": "integer"
                          },
                          "new": {
                            "type": "integer"
                          },
                          "removed": {
                            "type": "integer"
                          },
                          "same": {
                            "type": "integer"
                          },
                          "totalPages": {
                            "type": "integer"
                          }
                        },
                        "type": "object"
                      },
                      "targetResults": {
                        "nullable": true,
                        "type": "array"
                      },
                      "trigger": {
                        "enum": [
                          "scheduled",
                          "manual"
                        ],
                        "type": "string"
                      },
                      "updatedAt": {
                        "format": "date-time",
                        "type": "string"
                      }
                    },
                    "type": "object"
                  },
                  {
                    "properties": {
                      "next": {
                        "description": "存在する場合、モニター チェックのページ結果の次ページを取得するための URL。",
                        "nullable": true,
                        "type": "string"
                      },
                      "pages": {
                        "items": {
                          "properties": {
                            "createdAt": {
                              "format": "date-time",
                              "type": "string"
                            },
                            "currentScrapeId": {
                              "format": "uuid",
                              "nullable": true,
                              "type": "string"
                            },
                            "diff": {
                              "description": "ページが変更されたときのインライン差分アーティファクト。形式は、モニター の scrapeOptions.formats で指定された内容によって異なります。Markdown のみのモニターでは、`text`（unified diff）と `json`（parseDiff AST）の両方が設定されます。JSON 抽出モニターでは、`json` に JSON パスをキーとするフィールドごとの `{previous, current}` マップが設定されます。混合モードのモニター（`json` モードと `git-diff` モードの両方を持つ `changeTracking`）では、`text`（markdown サイドカー）と `json`（フィールドごとの差分）の両方が設定されます。",
                              "nullable": true,
                              "properties": {
                                "json": {
                                  "description": "Markdown のみのモニターでは、parseDiff AST `{ files: [...] }`。JSON 抽出モニター（および混合モードのモニター）では、抽出結果内の JSON パス（例: `plans[0].price`）をキーとする、フィールドごとの `{ previous, current }` マップ。",
                                  "type": "object"
                                },
                                "text": {
                                  "description": "unified markdown diff。Markdown のみのモニターと混合モードのモニターで提供されます。",
                                  "type": "string"
                                }
                              },
                              "type": "object"
                            },
                            "error": {
                              "nullable": true,
                              "type": "string"
                            },
                            "id": {
                              "format": "uuid",
                              "type": "string"
                            },
                            "judgment": {
                              "nullable": true,
                              "properties": {
                                "confidence": {
                                  "enum": [
                                    "high",
                                    "medium",
                                    "low"
                                  ],
                                  "type": "string"
                                },
                                "meaningful": {
                                  "description": "変更されたページがモニターの目標にとって意味のあるものかどうか。",
                                  "type": "boolean"
                                },
                                "meaningfulChanges": {
                                  "description": "ページ差分から判定機能によって選択された、目標に関連する変更。",
                                  "items": {
                                    "properties": {
                                      "after": {
                                        "nullable": true,
                                        "type": "string"
                                      },
                                      "before": {
                                        "nullable": true,
                                        "type": "string"
                                      },
                                      "reason": {
                                        "type": "string"
                                      },
                                      "type": {
                                        "enum": [
                                          "added",
                                          "removed",
                                          "changed"
                                        ],
                                        "type": "string"
                                      }
                                    },
                                    "type": "object"
                                  },
                                  "type": "array"
                                },
                                "reason": {
                                  "type": "string"
                                }
                              },
                              "type": "object"
                            },
                            "metadata": {
                              "description": "ページごとの追加メタデータです。search モニターでは、トップレベルの `status` の内訳を示す、より詳細な検索ステータス `searchStatus` が含まれます。値は `alert`（`new` に対応）、`already_seen`、`watching`、`ignored`（いずれも `same` に対応）、または `skipped`（`error` に対応）です。",
                              "nullable": true,
                              "type": "object"
                            },
                            "previousScrapeId": {
                              "format": "uuid",
                              "nullable": true,
                              "type": "string"
                            },
                            "snapshot": {
                              "description": "この実行時点における現在の JSON 抽出結果のスナップショット。JSON 抽出モニターと混合モードのモニターでは存在し、Markdown のみのモニターでは存在しません。",
                              "nullable": true,
                              "properties": {
                                "json": {
                                  "description": "この実行で抽出された完全な構造化 JSON。ターゲットの `changeTracking` フォーマットで宣言された schema/prompt と一致します。",
                                  "type": "object"
                                }
                              },
                              "type": "object"
                            },
                            "status": {
                              "enum": [
                                "same",
                                "new",
                                "changed",
                                "removed",
                                "error"
                              ],
                              "type": "string"
                            },
                            "statusCode": {
                              "nullable": true,
                              "type": "integer"
                            },
                            "targetId": {
                              "type": "string"
                            },
                            "url": {
                              "format": "uri",
                              "type": "string"
                            }
                          },
                          "type": "object"
                        },
                        "type": "array"
                      }
                    },
                    "type": "object"
                  }
                ]
              },
              "next": {
                "description": "存在する場合、モニター チェックのページ結果の次ページを取得するための URL。",
                "nullable": true,
                "type": "string"
              },
              "success": {
                "type": "boolean"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "モニターチェックの詳細"
    },
    "404": {
      "description": "モニターチェックが見つかりません"
    }
  }
}
```
